<template>
  <content-section class="bg-orange-500">
    <template #heading>
      <h2>{{ heading }}</h2>
    </template>

    <template #summary>
      <div class="markdown summary" v-html="text" />
    </template>

    <template #default>
      <core-point-item-grid :items="corePointItems" :max-columns="3" />
    </template>
  </content-section>
</template>

<script>
import CorePointItemGrid from '~/components/common/CorePointItemGrid';

export default {
  name: 'QuienesSomosCorePointsSection',
  components: {
    CorePointItemGrid,
  },
  props: {
    heading: { type: String, default: undefined },
    text: { type: String, default: undefined },
    corePointItems: { type: Array, default: () => [] },
  },
};
</script>
